import 'package:flutter/widgets.dart';
import 'package:og1_dashboard/src/common/enums/medium.dart';
import 'package:og1_dashboard/src/services/medium_service.dart';

class PageLayout {
  Size size;
  late Medium medium;
  late int appsPerPage;
  late int crossAxisCount;
  late double iconWidth;
  late double iconHeight;

  PageLayout(this.size) {
    _setMedium();
    _setAppIconsLayout(size);
  }

  void _setMedium() {
    medium = MediumService().getMedium(size);
  }

  void _setAppIconsLayout(Size size) {
    iconWidth = iconHeight = 50;
    if (size.width > 1000 && size.shortestSide >= 600) {
      iconWidth = iconHeight = 80;
    }
    crossAxisCount = (size.width / iconWidth / 1.5).floor();
    int mainAxisCount = (size.height / iconHeight / 2).floor();
    appsPerPage = crossAxisCount * mainAxisCount;
  }
}
