import 'dart:io';
import 'package:flutter/foundation.dart' show kIsWeb;
import 'package:og1_dashboard/src/common/enums/medium.dart';
import 'package:flutter/widgets.dart';

abstract class IMediumService {
  Medium getMedium(Size size);
}

class MediumService implements IMediumService {
  static final MediumService _mediumService = MediumService._internal();

  factory MediumService() {
    return _mediumService;
  }

  MediumService._internal();

  @override
  Medium getMedium(Size size) {
    if (kIsWeb) {
      return Medium.web;
    } else if ((Platform.isAndroid || Platform.isIOS) &&
        size.shortestSide < 600) {
      return Medium.mobile;
    } else if ((Platform.isAndroid || Platform.isIOS) &&
        size.shortestSide >= 600) {
      return Medium.tablet;
    } else if (Platform.isWindows || Platform.isMacOS || Platform.isLinux) {
      return Medium.desktop;
    }
    return Medium.mobile;
  }
}
